import { ControlValueAccessor } from '@angular/forms';
import { MatFormFieldAppearance } from '@angular/material/form-field';
import { DisplayDensity, ISelectOption } from '@metad/ocap-angular/core';
import { DataSettings, EntityType, ParameterControlEnum, ParameterProperty } from '@metad/ocap-core';
import * as i0 from "@angular/core";
export declare class NgmParameterSelectComponent implements ControlValueAccessor {
    #private;
    ParameterControlEnum: typeof ParameterControlEnum;
    private readonly _dialog;
    appearance: MatFormFieldAppearance;
    label: string;
    placeholder: string;
    readonly dataSettings: import("@angular/core").InputSignal<DataSettings>;
    readonly entityType: import("@angular/core").InputSignal<EntityType>;
    disabled: boolean;
    displayDensity: DisplayDensity | string;
    readonly parameters$: import("rxjs").Observable<ISelectOption<ParameterProperty>[]>;
    readonly model: import("@angular/core").ModelSignal<string | number>;
    private onChange;
    private onTouched;
    constructor();
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onOptionSelected(event: any): void;
    openCreate(): Promise<void>;
    openEditParameter(key: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmParameterSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmParameterSelectComponent, "ngm-parameter-select", never, { "appearance": { "alias": "appearance"; "required": false; }; "label": { "alias": "label"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "dataSettings": { "alias": "dataSettings"; "required": false; "isSignal": true; }; "entityType": { "alias": "entityType"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; }; "displayDensity": { "alias": "displayDensity"; "required": false; }; "model": { "alias": "model"; "required": false; "isSignal": true; }; }, { "model": "modelChange"; }, never, ["[ngmSuffix]"], true, never>;
}
